package com.ibiz5.api.productapi.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5CPU;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5CPUDTO {

    private Double unitprice;

    private String createman;

    private String ibz5hardwaretype;

    private String producer;

    private Timestamp createdate;

    private String ibz5cpuid;

    private String ibz5cpuname;

    private String updateman;

    private String unit;

    private String productuid;

    private Timestamp updatedate;


    public IBZ5CPU toPO() {
        IBZ5CPU po = new IBZ5CPU();
        BeanCopier copier=BeanCopier.create(IBZ5CPUDTO.class, IBZ5CPU.class, false);
        copier.copy(this, po, null);
        po.setIbz5cpuid(null);
        return po;
    }

    public void fromPO(IBZ5CPU po) {
        BeanCopier copier=BeanCopier.create(IBZ5CPU.class, IBZ5CPUDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5CPUDTO> fromPOPage(Page<IBZ5CPU> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5CPUDTO> dtoPage=new Page<IBZ5CPUDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5CPUDTO> dtos=new ArrayList<IBZ5CPUDTO>();
        for(IBZ5CPU po : poPage.getRecords()) {
            IBZ5CPUDTO dto = new IBZ5CPUDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
