package com.ibiz5.sample.codelist;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz5.ibizutil.domain.CodeList;
import com.ibiz5.ibizutil.domain.CodeItem;

/**
 * 代码表[UNIPRODUCTTYPE]
 */
@Component("DemoSys_UNIPRODUCTTYPECodeList")
public class UNIPRODUCTTYPECodeList extends com.ibiz5.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}
	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("DemoSys_UNIPRODUCTTYPE");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("Software");
		item0.setId("Software");
		item0.setText("软件");
		item0.setLabel("软件");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("Software",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("Hardware");
		item1.setId("Hardware");
		item1.setText("硬件");
		item1.setLabel("硬件");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("Hardware",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
    }
}