
package com.ibiz5.sample.rest;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.sql.Timestamp;
import javax.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import com.ibiz5.ibizutil.domain.ActionResult;
import com.ibiz5.sample.service.IBZ5ORDERService;
import com.ibiz5.ibizutil.domain.AutoCompleteItem;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.ibiz5.sample.service.dto.IBZ5ORDERSearchFilter;
import org.springframework.cglib.beans.BeanGenerator;
import org.springframework.cglib.beans.BeanMap;
import org.springframework.util.StringUtils;
import java.io.IOException;
import com.ibiz5.ibizutil.errors.BadRequestAlertException;
import org.springframework.validation.annotation.Validated;
import org.springframework.http.ResponseEntity;
import org.springframework.beans.factory.annotation.Autowired;
import com.ibiz5.ibizutil.domain.RedirectResult;
import javax.validation.constraints.NotBlank;
import com.ibiz5.ibizutil.domain.AutoCompleteItem;
import java.math.BigInteger;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.security.access.prepost.PreAuthorize;

@RestController
public class IBZ5ORDERController{

        @Autowired
        private IBZ5ORDERService ibz5orderService;
        /**
         * 获取服务对象
        */
        protected IBZ5ORDERService getService(){
            return this.ibz5orderService;
        }

	/**
	 * 用于权限校验 使用
	 * @return
	 */
	public IBZ5ORDER getEntity(){
		return new IBZ5ORDER();
	}
 }

