package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5CPU;
import com.ibiz5.sample.service.dto.IBZ5CPUSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5CPU] 服务对象接口
 */
public interface IBZ5CPUService extends IService<IBZ5CPU>{

	boolean checkKey(IBZ5CPU et);
	boolean update(IBZ5CPU et);
	IBZ5CPU get(IBZ5CPU et);
	boolean remove(IBZ5CPU et);
	boolean create(IBZ5CPU et);
	boolean getDraft(IBZ5CPU et);
    List<IBZ5CPU> listDefault(IBZ5CPUSearchFilter filter) ;
	Page<IBZ5CPU> searchDefault(IBZ5CPUSearchFilter filter);
	/**	 实体[IBZ5CPU] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }