package com.ibiz5.sample.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import com.ibiz5.sample.domain.IBZ5ORDER;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class IBZ5ORDER_MOBMDCTRL_Mob{
    private Timestamp ordertime;
    private String orderuid;
    private String ibz5ordername;
    private String srfkey;
    private String srfmajortext;
    private String ibz5customerid;
    private String srfmstag;
     public  void fromIBZ5ORDER(IBZ5ORDER sourceEntity)  {
        this.setOrdertime(String.format("%s",sourceEntity.getOrdertime()));
        this.setOrderuid(String.format("%s",sourceEntity.getOrderuid()));
        this.setIbz5ordername(String.format("%s",sourceEntity.getIbz5ordername()));
	    this.setSrfkey(String.format("%s",sourceEntity.getIbz5orderid()));
	    this.setSrfmajortext(String.format("%s",sourceEntity.getIbz5ordername()));
	    this.setIbz5customerid(String.format("%s",sourceEntity.getIbz5customerid()));
	}
	public static Page<IBZ5ORDER_MOBMDCTRL_Mob> fromIBZ5ORDER(Page<IBZ5ORDER> sourcePage)   {
        if(sourcePage==null)
            return null;
        Page<IBZ5ORDER_MOBMDCTRL_Mob> targetpage=new Page<IBZ5ORDER_MOBMDCTRL_Mob>(sourcePage.getCurrent(),sourcePage.getSize(),sourcePage.getTotal(),sourcePage.isSearchCount());
        List<IBZ5ORDER_MOBMDCTRL_Mob> records=new ArrayList<IBZ5ORDER_MOBMDCTRL_Mob>();
        for(IBZ5ORDER source:sourcePage.getRecords()) {
    IBZ5ORDER_MOBMDCTRL_Mob target=new IBZ5ORDER_MOBMDCTRL_Mob();
            target.fromIBZ5ORDER(source);
            records.add(target);
        }
        targetpage.setAsc(sourcePage.ascs());
        targetpage.setDesc(sourcePage.descs());
        targetpage.setOptimizeCountSql(sourcePage.optimizeCountSql());
        targetpage.setRecords(records);
        return targetpage;
    }
}