package com.ibiz5.api.productapi.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5HARDWARE;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5HARDWAREDTO {

    private Timestamp updatedate;

    private String ibz5hardwareid;

    private String producer;

    private Timestamp createdate;

    private String productuid;

    private String unit;

    private String updateman;

    private String ibz5hardwaretype;

    private String ibz5hardwarename;

    private String createman;

    private Double unitprice;


    public IBZ5HARDWARE toPO() {
        IBZ5HARDWARE po = new IBZ5HARDWARE();
        BeanCopier copier=BeanCopier.create(IBZ5HARDWAREDTO.class, IBZ5HARDWARE.class, false);
        copier.copy(this, po, null);
        po.setIbz5hardwareid(null);
        return po;
    }

    public void fromPO(IBZ5HARDWARE po) {
        BeanCopier copier=BeanCopier.create(IBZ5HARDWARE.class, IBZ5HARDWAREDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5HARDWAREDTO> fromPOPage(Page<IBZ5HARDWARE> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5HARDWAREDTO> dtoPage=new Page<IBZ5HARDWAREDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5HARDWAREDTO> dtos=new ArrayList<IBZ5HARDWAREDTO>();
        for(IBZ5HARDWARE po : poPage.getRecords()) {
            IBZ5HARDWAREDTO dto = new IBZ5HARDWAREDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
