package com.ibiz5.api.productapi.dto;

import java.util.ArrayList;
import java.util.List;

import com.ibiz5.sample.domain.IBZ5SOFTWARESUIT;
import lombok.Data;
import java.sql.Timestamp;
import org.springframework.cglib.beans.BeanCopier;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

@Data
public class IBZ5SOFTWARESUITDTO {

    private String createman;

    private String ibz5softwaresuitid;

    private Timestamp updatedate;

    private String updateman;

    private String ibz5softwaresuitname;

    private Timestamp createdate;


    public IBZ5SOFTWARESUIT toPO() {
        IBZ5SOFTWARESUIT po = new IBZ5SOFTWARESUIT();
        BeanCopier copier=BeanCopier.create(IBZ5SOFTWARESUITDTO.class, IBZ5SOFTWARESUIT.class, false);
        copier.copy(this, po, null);
        po.setIbz5softwaresuitid(null);
        return po;
    }

    public void fromPO(IBZ5SOFTWARESUIT po) {
        BeanCopier copier=BeanCopier.create(IBZ5SOFTWARESUIT.class, IBZ5SOFTWARESUITDTO.class, false);
        copier.copy(po, this, null);
    }

    public List<IBZ5SOFTWARESUITDTO> fromPOPage(Page<IBZ5SOFTWARESUIT> poPage)   {
        if(poPage == null)
            return null;
        //Page<IBZ5SOFTWARESUITDTO> dtoPage=new Page<IBZ5SOFTWARESUITDTO>(poPage.getCurrent(), poPage.getSize(), poPage.getTotal(), poPage.isSearchCount());
        List<IBZ5SOFTWARESUITDTO> dtos=new ArrayList<IBZ5SOFTWARESUITDTO>();
        for(IBZ5SOFTWARESUIT po : poPage.getRecords()) {
            IBZ5SOFTWARESUITDTO dto = new IBZ5SOFTWARESUITDTO();
            dto.fromPO(po);
            dtos.add(dto);
        }
        //dtoPage.setAsc(poPage.ascs());
        //dtoPage.setDesc(poPage.descs());
        //dtoPage.setOptimizeCountSql(poPage.optimizeCountSql());
        //dtoPage.setRecords(dtos);
        return dtos;
    }

}
