package com.ibiz5.sample.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.ibiz5.sample.domain.IBZ5SOFTWARESUIT;
import com.ibiz5.sample.service.dto.IBZ5SOFTWARESUITSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;

public interface IBZ5SOFTWARESUITMapper extends BaseMapper<IBZ5SOFTWARESUIT>{

    List<IBZ5SOFTWARESUIT> searchDefault(@Param("srf") IBZ5SOFTWARESUITSearchFilter searchfilter,@Param("ew") Wrapper<IBZ5SOFTWARESUIT> wrapper) ;
    Page<IBZ5SOFTWARESUIT> searchDefault(IPage page, @Param("srf") IBZ5SOFTWARESUITSearchFilter searchfilter, @Param("ew") Wrapper<IBZ5SOFTWARESUIT> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'IBZ5SOFTWARESUIT:'+#p0")
    IBZ5SOFTWARESUIT selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5SOFTWARESUIT:'+#p0.ibz5softwaresuitid")
    int insert(IBZ5SOFTWARESUIT entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5SOFTWARESUIT:'+#p0.ibz5softwaresuitid")
    int updateById(@Param(Constants.ENTITY) IBZ5SOFTWARESUIT entity);
    @Override
    @CacheEvict( value="entity",key = "'IBZ5SOFTWARESUIT:'+#p0")
    int deleteById(Serializable id);
    Page<IBZ5SOFTWARESUIT> selectPermission(IPage page,@Param("pw") Wrapper<IBZ5SOFTWARESUIT> wrapper) ;
}