package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5ACCOUNT;
import com.ibiz5.sample.service.dto.IBZ5ACCOUNTSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5ACCOUNT] 服务对象接口
 */
public interface IBZ5ACCOUNTService extends IService<IBZ5ACCOUNT>{

	boolean create(IBZ5ACCOUNT et);
	boolean checkKey(IBZ5ACCOUNT et);
	boolean getDraft(IBZ5ACCOUNT et);
	boolean update(IBZ5ACCOUNT et);
	boolean remove(IBZ5ACCOUNT et);
	IBZ5ACCOUNT get(IBZ5ACCOUNT et);
    List<IBZ5ACCOUNT> listDefault(IBZ5ACCOUNTSearchFilter filter) ;
	Page<IBZ5ACCOUNT> searchDefault(IBZ5ACCOUNTSearchFilter filter);
	/**	 实体[IBZ5ACCOUNT] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }