package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5ORDERDETAIL;
import com.ibiz5.sample.service.dto.IBZ5ORDERDETAILSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5ORDERDETAIL] 服务对象接口
 */
public interface IBZ5ORDERDETAILService extends IService<IBZ5ORDERDETAIL>{

	boolean update(IBZ5ORDERDETAIL et);
	IBZ5ORDERDETAIL get(IBZ5ORDERDETAIL et);
	boolean checkKey(IBZ5ORDERDETAIL et);
	boolean remove(IBZ5ORDERDETAIL et);
	boolean getDraft(IBZ5ORDERDETAIL et);
	boolean create(IBZ5ORDERDETAIL et);
    List<IBZ5ORDERDETAIL> listDefault(IBZ5ORDERDETAILSearchFilter filter) ;
	Page<IBZ5ORDERDETAIL> searchDefault(IBZ5ORDERDETAILSearchFilter filter);
	/**	 实体[IBZ5ORDERDETAIL] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }