package com.ibiz5.sample.service;

import com.ibiz5.sample.domain.IBZ5STORAGE;
import com.ibiz5.sample.service.dto.IBZ5STORAGESearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[IBZ5STORAGE] 服务对象接口
 */
public interface IBZ5STORAGEService extends IService<IBZ5STORAGE>{

	boolean create(IBZ5STORAGE et);
	boolean update(IBZ5STORAGE et);
	boolean remove(IBZ5STORAGE et);
	boolean getDraft(IBZ5STORAGE et);
	IBZ5STORAGE get(IBZ5STORAGE et);
	boolean checkKey(IBZ5STORAGE et);
    List<IBZ5STORAGE> listDefault(IBZ5STORAGESearchFilter filter) ;
	Page<IBZ5STORAGE> searchDefault(IBZ5STORAGESearchFilter filter);
	/**	 实体[IBZ5STORAGE] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }